%global packname  aws.signature
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.6.0
Release:          2%{?dist}
Summary:          Amazon Web Services Request Signatures

License:          GPL (>= 2)
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-digest, R-base64enc
# Suggests:  R-testthat >= 2.1.0, R-aws.ec2metadata >= 0.1.6
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-digest
BuildRequires:    R-base64enc

%description
Generates version 2 and version 4 request signatures for Amazon Web
Services ('AWS') <https://aws.amazon.com/> Application Programming
Interfaces ('APIs') and provides a mechanism for retrieving credentials
from environment variables, 'AWS' credentials files, and 'EC2' instance
metadata. For use on 'EC2' instances, users will need to install the
suggested package 'aws.ec2metadata'
<https://cran.r-project.org/package=aws.ec2metadata>.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.6.0-2
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.6.0-1
- initial package for Fedora
